# KMS Inventory API

- [REST Resource: v1.organizations.protectedResources](https://docs.cloud.google.com/kms/docs/reference/inventory/rest#v1.organizations.protectedResources)
- [REST Resource: v1.projects.cryptoKeys](https://docs.cloud.google.com/kms/docs/reference/inventory/rest#v1.projects.cryptoKeys)
- [REST Resource: v1.projects.locations.keyRings.cryptoKeys](https://docs.cloud.google.com/kms/docs/reference/inventory/rest#v1.projects.locations.keyRings.cryptoKeys)

## Service: kmsinventory.googleapis.com

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://kmsinventory.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://kmsinventory.googleapis.com`

## REST Resource: [v1.organizations.protectedResources](https://docs.cloud.google.com/kms/docs/reference/inventory/rest/v1/organizations.protectedResources)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/kms/docs/reference/inventory/rest/v1/organizations.protectedResources/search` | `GET /v1/{scope=organizations/*}/protectedResources:search` Returns metadata about the resources protected by the given Cloud KMS `https://docs.cloud.google.com/kms/docs/reference/inventory/rest/v1/projects.cryptoKeys#CryptoKey` in the given Cloud organization. |

## REST Resource: [v1.projects.cryptoKeys](https://docs.cloud.google.com/kms/docs/reference/inventory/rest/v1/projects.cryptoKeys)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/kms/docs/reference/inventory/rest/v1/projects.cryptoKeys/list` | `GET /v1/{parent=projects/*}/cryptoKeys` Returns cryptographic keys managed by Cloud KMS in a given Cloud project. |

## REST Resource: [v1.projects.locations.keyRings.cryptoKeys](https://docs.cloud.google.com/kms/docs/reference/inventory/rest/v1/projects.locations.keyRings.cryptoKeys)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/kms/docs/reference/inventory/rest/v1/projects.locations.keyRings.cryptoKeys/getProtectedResourcesSummary` | `GET /v1/{name=projects/*/locations/*/keyRings/*/cryptoKeys/**}/protectedResourcesSummary` Returns aggregate information about the resources protected by the given Cloud KMS `https://docs.cloud.google.com/kms/docs/reference/inventory/rest/v1/projects.cryptoKeys#CryptoKey`. |